package com.nisum.springboot.entity;

import org.springframework.data.mongodb.core.mapping.Document;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Document(collection  = "employees")
public class Employee {
	
	private String id;
	private String name;
	private String firstname;
	private String lastname;
	private int age;
	private String department;

}
