package com.nisum.springboot.entity;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "Products")// collection same as table in RDMS
public class Product {
	
	@Id
	private String productId;	
	private String productName;	
	private Double price;
	
	
	
}
