package com.nisum.springboot.repository;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;

import com.nisum.springboot.entity.Publisher;

public interface PublisherRepository extends MongoRepository<Publisher, String>{
	
	
	@Query("{'books.title' : ?0}")
	List<Publisher> getBookDetails(String title);

}
