package com.nisum.springboot.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.nisum.springboot.entity.Mobile;
import com.nisum.springboot.entity.User;
import com.nisum.springboot.repository.UserRepository;

@Service
public class UserService {
	
	@Autowired
	private UserRepository userRepository;
	
	public User saveUser(User user) {
		return userRepository.save(user);
	}

	public List<User> getUserByName(String name) {
		return userRepository.findByName(name);
	}

	public List<User> getUserByCity(String city) {
		return userRepository.findByCity(city);
	}

	public List<User> getMobilesByUserName(String name) {
		
		return userRepository.getMobilesByUserName(name);
	}

}
